Bug 15193 - draggable and dropzone regions require labels
draggable and dropzone regions require labels
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
PC Windows NT
: P2 normal
: ---
Assigned To: Silvia Pfeiffer
HTML WG Bugzilla archive list
: a11y, a11y_drag-drop
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-15 00:29 UTC by Everett Zufelt
Modified: 2012-10-06 00:41 UTC (History)
7 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Everett Zufelt 2011-12-15 00:29:49 UTC
There is, in the dnd API spec, no method of associating a textual label with @draggable
and @dropzone elements.  This can obviously be done with aria-label, aria-labelledby, or <label for="idref">. Should this be part of the API spec?  It
is essential for accessibility that drag and drop targets have a textual label associated in order to conform with WCAG 2.0.

I suggest that text be added to the API directing implementers how to provide accessible names for draggable and dropzone regions.
Comment 1 Ian 'Hixie' Hickson 2012-01-28 21:59:39 UTC
What do you mean by API? Do you mean the DOM interface?

What's wrong with using title="" here?
Comment 2 Everett Zufelt 2012-01-29 12:02:18 UTC
Sure, we can use title, let's make sure that the spec (somewhere relevant) states that @title * must * be used to provide accessible names to draggable and dropzone elements.
Comment 3 Ian 'Hixie' Hickson 2012-02-01 00:02:18 UTC
Why? What problem is this solving?
Comment 4 Everett Zufelt 2012-02-01 12:50:17 UTC
(In reply to comment #3)
> Why? What problem is this solving?

WCAG 2.0 SC 4.1.2 requires that the name for all interactive elements be programmatically determinable. I really don't care what you do in the spec, but pick one method that authors ought to use to specify the name for draggable and dropzon elements.

If this already clearly exists in the spec then please point that out.
Comment 5 contributor 2012-07-18 06:52:34 UTC
This bug was cloned to create bug 17807 as part of operation convergence.
Comment 6 Silvia Pfeiffer 2012-10-06 00:41:45 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
you are satisfied with this response, please change the state of
this bug to CLOSED. If you have additional information and would
like the Editor to reconsider, please reopen this bug. If you would
like to escalate the issue to the full HTML Working Group, please
add the TrackerRequest keyword to this bug, and suggest title and
text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this
document:   http://dev.w3.org/html5/decision-policy/decision-policy-v2.html

Status: Accepted
Change Description:
https://github.com/w3c/html/commit/1ac9c711fe61b0ef8513b04e8b7830dd7a0f5730
Rationale: accepted WHATWG change